# scaleway_server_facts – Gather facts about the Scaleway servers available

New in version 2.7.

- DEPRECATED
- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Deprecated in favour of `_info` module.
Alternative: | Use scaleway_server_info instead.

## Synopsis

- Gather facts about the Scaleway servers available.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_timeout integer | Default: 30 | HTTP timeout to Scaleway API in seconds. aliases: timeout
api_token string |  | Scaleway OAuth token. aliases: oauth_token
api_url string | Default: "https://api.scaleway.com" | Scaleway API URL. aliases: base_url
query_parameters dictionary | Default: {} | List of parameters passed to the query string.

region
- / required
added in 2.8

Choices:
- ams1
- EMEA-NL-EVS
- par1
- EMEA-FR-PAR1

Scaleway region to use (for example par1).

validate_certs
boolean

Choices:
- no
- yes ←

Validate SSL certs of the Scaleway API.

## Notes

Note

- Also see the API documentation on https://developer.scaleway.com/
- If `api_token` is not set within the module, the following environment variables can be used in decreasing order of precedence `SCW_TOKEN`, `SCW_API_KEY`, `SCW_OAUTH_TOKEN` or `SCW_API_TOKEN`.
- If one wants to use a different `api_url` one can also set the `SCW_API_URL` environment variable.

## Examples

    - name: Gather Scaleway servers facts
      scaleway_server_facts:
        region: par1

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---

scaleway_server_facts
complex

success

Response from Scaleway API
Sample:
{'scaleway_server_facts': [{'arch': 'x86_64', 'boot_type': 'local', 'bootscript': {'architecture': 'x86_64', 'bootcmdargs': 'LINUX_COMMON scaleway boot=local nbd.max_part=16', 'default': True, 'dtb': '', 'id': 'b1e68c26-a19c-4eac-9222-498b22bd7ad9', 'initrd': 'http://169.254.42.24/initrd/initrd-Linux-x86_64-v3.14.5.gz', 'kernel': 'http://169.254.42.24/kernel/x86_64-mainline-lts-4.4-4.4.127-rev1/vmlinuz-4.4.127', 'organization': '11111111-1111-4111-8111-111111111111', 'public': True, 'title': 'x86_64 mainline 4.4.127 rev1'}, 'commercial_type': 'START1-XS', 'creation_date': '2018-08-14T21:36:56.271545+00:00', 'dynamic_ip_required': False, 'enable_ipv6': False, 'extra_networks': [], 'hostname': 'scw-e0d256', 'id': '12f19bc7-108c-4517-954c-e6b3d0311363', 'image': {'arch': 'x86_64', 'creation_date': '2018-04-26T12:42:21.619844+00:00', 'default_bootscript': {'architecture': 'x86_64', 'bootcmdargs': 'LINUX_COMMON scaleway boot=local nbd.max_part=16', 'default': True, 'dtb': '', 'id': 'b1e68c26-a19c-4eac-9222-498b22bd7ad9', 'initrd': 'http://169.254.42.24/initrd/initrd-Linux-x86_64-v3.14.5.gz', 'kernel': 'http://169.254.42.24/kernel/x86_64-mainline-lts-4.4-4.4.127-rev1/vmlinuz-4.4.127', 'organization': '11111111-1111-4111-8111-111111111111', 'public': True, 'title': 'x86_64 mainline 4.4.127 rev1'}, 'extra_volumes': [], 'from_server': None, 'id': '67375eb1-f14d-4f02-bb42-6119cecbde51', 'modification_date': '2018-04-26T12:49:07.573004+00:00', 'name': 'Ubuntu Xenial', 'organization': '51b656e3-4865-41e8-adbc-0c45bdd780db', 'public': True, 'root_volume': {'id': '020b8d61-3867-4a0e-84a4-445c5393e05d', 'name': 'snapshot-87fc282d-f252-4262-adad-86979d9074cf-2018-04-26_12:42', 'size': 25000000000, 'volume_type': 'l_ssd'}, 'state': 'available'}, 'ipv6': None, 'location': {'cluster_id': '5', 'hypervisor_id': '412', 'node_id': '2', 'platform_id': '13', 'zone_id': 'par1'}, 'maintenances': [], 'modification_date': '2018-08-14T21:37:28.630882+00:00', 'name': 'scw-e0d256', 'organization': '3f709602-5e6c-4619-b80c-e841c89734af', 'private_ip': '10.14.222.131', 'protected': False, 'public_ip': {'address': '163.172.170.197', 'dynamic': False, 'id': 'ea081794-a581-4495-8451-386ddaf0a451'}, 'security_group': {'id': 'a37379d2-d8b0-4668-9cfb-1233fc436f7e', 'name': 'Default security group'}, 'state': 'running', 'state_detail': 'booted', 'tags': [], 'volumes': {'0': {'creation_date': '2018-08-14T21:36:56.271545+00:00', 'export_uri': 'device://dev/vda', 'id': '68386fae-4f55-4fbf-aabb-953036a85872', 'modification_date': '2018-08-14T21:36:56.271545+00:00', 'name': 'snapshot-87fc282d-f252-4262-adad-86979d9074cf-2018-04-26_12:42', 'organization': '3f709602-5e6c-4619-b80c-e841c89734af', 'server': {'id': '12f19bc7-108c-4517-954c-e6b3d0311363', 'name': 'scw-e0d256'}, 'size': 25000000000, 'state': 'available', 'volume_type': 'l_ssd'}}}]}

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Yanis Guenane (@Spredzy)
- Remy Leone (@sieben)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.